Bug 810882 - Missing dependency on eject
Missing dependency on eject
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: udisks2 (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-09 10:24 EDT by Daniel Drake
Modified: 2012-07-02 18:32 EDT (History)
3 users (show)

See Also:
Fixed In Version: udisks-1.0.4-6.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-18 20:53:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Drake 2012-04-09 10:24:45 EDT
udisks-1.93.0 executes /usr/bin/eject when unmounting a disk, but the spec file doesn't depend on this (as of udisks2-1.93.0-2.fc17). This results in an error every time a disk is unmounted through GNOME on OLPC's minimal spin.

Please add Requires: eject
Comment 1 Fedora Update System 2012-04-14 05:19:37 EDT
udisks-1.0.4-6.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/udisks-1.0.4-6.fc17
Comment 2 Fedora Update System 2012-04-14 13:49:58 EDT
Package udisks-1.0.4-6.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing udisks-1.0.4-6.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-5902/udisks-1.0.4-6.fc17
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2012-04-18 19:05:41 EDT
udisks-1.0.4-6.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Daniel Drake 2012-05-15 15:59:49 EDT
That update was for udisks. The fix is needed for udisks2.
Comment 5 Matthias Clasen 2012-05-18 20:53:39 EDT
I've committed a fix for udisks2 in f18
Comment 6 Fedora Update System 2012-06-14 16:17:52 EDT
udisks2-1.94.0-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/udisks2-1.94.0-7.fc17
Comment 7 Fedora Update System 2012-07-02 18:32:13 EDT
udisks2-1.94.0-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.